Subject: bug#52952: 28.0.90; mode-line of dashes of *Fancy Diary Entries* is not filled with dashes when frame is widened

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 15 Jan 2022 10:15:01 +0100

Peter Dyballa <[email-masked]> writes:

> Launch GNU Emacs, invoke calendar and press d on (today's) date. Now the buffer with *Fancy Diary Entries* is created. Its mode-line consists, from left to right, of dashes, then the text "Sunday, January 2, 2022" (today) and then some more dashes. When this frame is made wider, on the left or on the right, the dashes on the right side are not extended to the right edge.

I'm not very familiar with how the diary stuff is supposed to work, but
I'm not able to reproduce the issue from this description.  Here's what
I tried:

emacs -Q
M-x calendar
d

Emacs then just says:

diary-check-diary-file: Diary file ‘~/.emacs.d/diary’ does not exist

Do you have a complete recipe, starting from "emacs -Q"?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no